#include <iostream>
using namespace std;
 int main()
 {
	 int a, n;
	 cin>>a>>n;
	 int c[5], b[5];
     for(int i; i<5; i++)
     {
         c[i]=0;
         b[i]=0;
     }
	 if(n>=a*3)
	 {
		 for(int i=0; i<5; i++)
		 {
			 c[i]=n/5;
		 }
		 n=n-a*5;
		 for(int i=0; i<5; i++)
		 {
			 if(n>=(a-2))
			 {
				 b[i]=a-2;
			 }
			 else
			 {
				 continue;
			 }
		 }
		 for(int i=0; i<5; i++)
		 {
			 cout<<c[i]<<"	"<<b[i]<<endl;
		 }
	 }
	 else
	 {
		 cout<<"-1";
	 }
	
     return 0;
 }